package de.ivu.elect.presentation.gebietsbaum.action;

import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Specializes
public class NlWasGebietActionMenu extends CommonGebietActionMenu {
  private static final long serialVersionUID = 1L;

  @Inject
  private transient NlGebietPublicKeyImportAction nlGebietPublicKeyImportAction;

  @Override
  protected List<ActionEntry<Gebiet>> getActionEntriesSorted() {
    List<ActionEntry<Gebiet>> actionEntriesSorted = super.getActionEntriesSorted();
    actionEntriesSorted.add(nlGebietPublicKeyImportAction);
    return actionEntriesSorted;
  }
}
